Place Tags on Schema
Associates Tags with Schema. You can associate multiple Tags with multiple schema using a single call to this endpoint.
If the Tag Collection that the Tag belongs to was created for a library, you can associate the Tag to any schema that belongs to that library. If the Tag Collection was created for a group, you can associate the Tag with any schema that belongs to that group, no matter what library the schema belongs to.
You must have write access to a schema to associate Tags with schema in that library. For more information see Control Access </en/docs/schema/v3/developers_guide/basics/access/>_ under API Basics.
Important: Each time you submit a request to this endpoint, the backend reindexes the Tags. Each time you submit a request to this endpoint, the backend reindexes the Tags. So, pack as many Tag Associations as you can into one request. As a result, the number of calls to this endpoint reduces, which then reduces the overhead on the backend.
Authentication
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
Headers
The Autodesk Schema Registry currently supports in the US and EMEA regions. This header specifies where your data is stored. Possible Values:
US- (Default) All requests without a specified region header will be directed to the US region.EMEA- Data center for the European Union, Middle East, and Africa. To access the EMEA region specifically, include the header “region: EMEA” in your API requests.
Query parameters
The value used to define the boundary in which the schema associated with the Tag. This parameter can be used and particularly useful when getting the list of Tagged Schema. Valid value must be filled in by the group name and library name respectively in this pattern: group.library Sample value- test.fcstutorials.anothertagssandbox
Request
An array of Tag IDs. All the Tags in this array will be associated with the schemas represented by the resourceIds array.
An array containing the IDs of schema. Each schema will be associated with the Tags in the array tagIds.
Response
Multiple operations have been attempted and a single response code is not able to convey the results of all operations. Check the response body for failures, if any.
Every successful association contains a system-generated id attribute for the association that was created. Failed associations contain an errors object.
If a three-legged access token was used to create the association, contains the Autodesk ID (Oxygen ID) of the person who associated the Tag to the schema. If a two-legged access token was used to create the category, contains the Client ID of the app that associated it.
If a three-legged access token was used to modify the association, contains the Autodesk ID (Oxygen ID) of the person who associated the Tag to the schema. If a two-legged access token was used to create the category, contains the Client ID of the app that associated it.